Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.pointcut
Class Util

    java.lang.Object
      org.jboss.aop.pointcut.Util

public class Util
extends Object

Comment

Version:
  $Revision: 1.37 $
Author:
  Bill Burke

Constructor Summary
`Util()`

Method Summary
`static boolean` | `has(Class target, ASTConstructor con, Advisor advisor)`
`static boolean` | `has(Class target, ASTField field, Advisor advisor)`
`static boolean` | `has(Class target, ASTField field, Advisor advisor, boolean checkSuper)`
`static boolean` | `has(Class target, ASTMethod method, Advisor advisor)`
`static boolean` | `has(Class target, ASTMethod method, Advisor advisor, boolean checkSuper)`
`static boolean` | `has(javassist.CtClass target, ASTConstructor con, Advisor advisor)`
`static boolean` | `has(javassist.CtClass target, ASTField field, Advisor advisor)`
`static boolean` | `has(javassist.CtClass target, ASTField field, Advisor advisor, boolean checkSuper)`
`static boolean` | `has(javassist.CtClass target, ASTMethod method, Advisor advisor)`
`static boolean` | `has(javassist.CtClass target, ASTMethod method, Advisor advisor, boolean checkSuper)`
`static boolean` | `matchesClassExpr(ClassExpression classExpr, Class clazz)`
`static boolean` | `matchesClassExpr(ClassExpression classExpr, Class clazz, Advisor advisor)`
`static boolean` | `matchesClassExpr(ClassExpression classExpr, javassist.CtClass clazz, Advisor advisor)`
`static boolean` | `matchesParameters(Advisor advisor, ASTConstructor node, Constructor con)`
`static boolean` | `matchesParameters(Advisor advisor, ASTConstructor node, javassist.CtConstructor ctConstructor)`
`static boolean` | `matchesParameters(Advisor advisor, ASTMethod node, javassist.CtMethod ctMethod)`
`static boolean` | `matchesParameters(Advisor advisor, ASTMethod node, Method method)`
`static boolean` | `matchesTypedef(Class clazz, ClassExpression classExpr, Advisor advisor)`
`static boolean` | `matchesTypedef(javassist.CtClass clazz, ClassExpression classExpr, Advisor advisor)`
`static boolean` | `matchExceptions(ArrayList nodeExceptions, Class[] foundExceptions)`
`static boolean` | `matchExceptions(ArrayList nodeExceptions, javassist.CtClass[] foundExceptions)`
`static boolean` | `matchModifiers(ASTAttribute need, int have)`
`static boolean` | `methodExistsInSuperClassOrInterface(javassist.CtMethod method, ClassExpression target, boolean exactSuper)`
`static boolean` | `methodExistsInSuperClassOrInterface(Method method, ClassExpression target, boolean exactSuper)`
`static boolean` | `subtypeOf(Class clazz, ClassExpression instanceOf, Advisor advisor)`
`static boolean` | `subtypeOf(javassist.CtClass clazz, ClassExpression instanceOf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Util

    public Util()

Method Detail

### matchesClassExpr

    public static boolean matchesClassExpr(ClassExpression classExpr,
                                           javassist.CtClass clazz,
                                           Advisor advisor)

### matchesClassExpr

    public static boolean matchesClassExpr(ClassExpression classExpr,
                                           Class clazz)

### matchesClassExpr

    public static boolean matchesClassExpr(ClassExpression classExpr,
                                           Class clazz,
                                           Advisor advisor)

### methodExistsInSuperClassOrInterface

    public static boolean methodExistsInSuperClassOrInterface(Method method,
                                                              ClassExpression target,
                                                              boolean exactSuper)
                                                       throws Exception

  Parameters:
    `method` - Method we are looking for
    `target` - ClassExpression with the class/interface we are looking for the method in
  Throws:
    `Exception`

### methodExistsInSuperClassOrInterface

    public static boolean methodExistsInSuperClassOrInterface(javassist.CtMethod method,
                                                              ClassExpression target,
                                                              boolean exactSuper)
                                                       throws Exception

  Parameters:
    `method` - CtMethod we are looking for
    `target` - ClassExpression with the class/interface we are looking for the method in
  Throws:
    `Exception`

### subtypeOf

    public static boolean subtypeOf(javassist.CtClass clazz,
                                    ClassExpression instanceOf)

### subtypeOf

    public static boolean subtypeOf(Class clazz,
                                    ClassExpression instanceOf,
                                    Advisor advisor)

### has

    public static boolean has(javassist.CtClass target,
                              ASTMethod method,
                              Advisor advisor)

### has

    public static boolean has(javassist.CtClass target,
                              ASTMethod method,
                              Advisor advisor,
                              boolean checkSuper)

### has

    public static boolean has(javassist.CtClass target,
                              ASTField field,
                              Advisor advisor)

### has

    public static boolean has(javassist.CtClass target,
                              ASTField field,
                              Advisor advisor,
                              boolean checkSuper)

### has

    public static boolean has(javassist.CtClass target,
                              ASTConstructor con,
                              Advisor advisor)

### has

    public static boolean has(Class target,
                              ASTMethod method,
                              Advisor advisor)

### has

    public static boolean has(Class target,
                              ASTMethod method,
                              Advisor advisor,
                              boolean checkSuper)

### has

    public static boolean has(Class target,
                              ASTField field,
                              Advisor advisor)

### has

    public static boolean has(Class target,
                              ASTField field,
                              Advisor advisor,
                              boolean checkSuper)

### has

    public static boolean has(Class target,
                              ASTConstructor con,
                              Advisor advisor)

### matchesTypedef

    public static boolean matchesTypedef(javassist.CtClass clazz,
                                         ClassExpression classExpr,
                                         Advisor advisor)

### matchesTypedef

    public static boolean matchesTypedef(Class clazz,
                                         ClassExpression classExpr,
                                         Advisor advisor)

### matchModifiers

    public static boolean matchModifiers(ASTAttribute need,
                                         int have)

### matchExceptions

    public static boolean matchExceptions(ArrayList nodeExceptions,
                                          javassist.CtClass[] foundExceptions)

  Parameters:
    `nodeExceptions` - ArrayList of ASTException entries for a given ASTMethod or ASTConstructor
    `foundExceptions` - Array of Exceptions found for a method/constructor

### matchExceptions

    public static boolean matchExceptions(ArrayList nodeExceptions,
                                          Class[] foundExceptions)

  Parameters:
    `nodeExceptions` - ArrayList of ASTException entries for a given ASTMethod or ASTConstructor
    `foundExceptions` - Array of Exceptions found for a method/constructor

### matchesParameters

    public static boolean matchesParameters(Advisor advisor,
                                            ASTMethod node,
                                            javassist.CtMethod ctMethod)

### matchesParameters

    public static boolean matchesParameters(Advisor advisor,
                                            ASTConstructor node,
                                            javassist.CtConstructor ctConstructor)

### matchesParameters

    public static boolean matchesParameters(Advisor advisor,
                                            ASTMethod node,
                                            Method method)

### matchesParameters

    public static boolean matchesParameters(Advisor advisor,
                                            ASTConstructor node,
                                            Constructor con)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.